Subject: Re: bug#7728: 24.0.50; GDB backtrace from abort

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Jan 2011 21:53:08 -0500

>> Shouldn't (doesn't?) set-window-configuration simply signal an error if
>> the selected-frame is different from the frame from which the
>> window-config comes?

> How could it?  For example, Drew's code that causes this crash does this:

>     (save-window-excursion (select-frame frame)
>                            (or (eq major-mode 'image-mode)
>                                image-minor-mode))

I don't think my proposition necessarily prevents this.  It just means that
save-window-excursion should re-select the original frame before doing
the set-window-configuration.

> Are you saying tha this isn't kosher, because the body of
> save-window-excursion is not allowed to select a different frame?

Admittedly, I think the above code is mistaken.  It kind of reminds me
of the infamous (save-excursion (set-buffer) ...), although in worse
since, like Martin, I despise save-window-excursion.

        Stefan